<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform</groupId>
    <artifactId>security</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.security</groupId>
  <artifactId>jaas</artifactId>
  <packaging>pom</packaging>
  <name>ENTAXY :: PLATFORM :: BASE :: SECURITY :: JAAS</name>
  <description>ENTAXY :: PLATFORM :: BASE :: SECURITY :: JAAS</description>


  <profiles>
	  <profile>
		  <id>attach-jaas-resources</id>
		  <activation>
			  <file>
				  <exists>src/main/resources/etc/init</exists>
			  </file>
		  </activation>
		  <build>
		  	<plugins>
			    <plugin>
			        <groupId>org.codehaus.mojo</groupId>
			        <artifactId>build-helper-maven-plugin</artifactId>
			        <executions>
			            <execution>
			                <id>attach-jaas-artifacts</id>
			                <phase>package</phase>
			                <goals>
			                    <goal>attach-artifact</goal>
			                </goals>
			                <configuration>
			                    <artifacts>
			                        <artifact>
			                            <file>${project.build.outputDirectory}/etc/init/artifacts/shared/karaf-realm.xml</file>
			                            <type>xml</type>
			                            <classifier>karaf.realm</classifier>
			                        </artifact>
			                        <artifact>
			                            <file>${project.build.outputDirectory}/etc/init/install/jaas.properties</file>
			                            <type>properties</type>
			                            <classifier>jaas</classifier>
			                        </artifact>
			                        <artifact>
			                            <file>src/main/support/karaf_realm.json</file>
			                            <type>json</type>
			                            <classifier>karaf.realm</classifier>
			                        </artifact>
								</artifacts>
							</configuration>
						</execution>
					</executions>
				</plugin>
			</plugins>
			</build>			
	  </profile>
  </profiles>	
	

  <modules>
  	<module>jaas-producing</module>
  	<module>jaas-runtime</module>
  	<module>jaas-management</module>
  	<module>entaxy-legacy-auth</module>
  	<module>entaxy-legacy-auth-api</module>
  </modules>
</project>
